image: gradle:5.6.0-jdk8

cache:
  key: $CI_PROJECT_NAMESPACE
  paths:
  - /root/.gradle/wrapper
  - /root/.gradle/caches

build:
  stage: build
  script:
    - ./gradlew clean build -x javadoc -x test
    - cat protean-tests/docs/reports/tests/coverage/index.html | grep -o 'Total[^%]*%' | sed -e 's/Total.*>/test_coverage=/g'
  coverage: '/test_coverage=(.*)%/'
  artifacts:
    expire_in: 20 mins
    reports:
      junit: protean-tests/docs/reports/tests/xml/TEST-*.xml
    paths:
      - protean-tests/docs/reports/tests

pages:
  stage: deploy
  script:
    - mkdir -p public
    - mv protean-core/docs/javadoc public/api
    - mv protean-tests/docs/reports/tests public
  artifacts:
    paths:
      - public
#  only:
#    - master
